%% RMScontrast : measure RMS contrast 
function rms = RMScontrast(i)

[row, col] = size(i);

% computation of average intensity
sumi = sum(i(:)); 
iav = sumi /(row*col+eps);

clear sumi;
% computation of rms contrast
tempi = (i-iav).^2; 
sumi = sum(tempi(:)); 

rms = sqrt((1/(row*col))*sumi);

% End of the function
end

