%%%%%%Transform RGB color format to opponent Lab color format %%%%%%
function Lab=rgb2lab(rgbI)
% Create color transformation structure[Convert from the sRGB to the L*a*b*
%color space.]
LabTransf=makecform('srgb2lab'); 
% Apply rgb2lab color space transformation in rgbI
LabI=applycform(rgbI,LabTransf);
% Seperate l,a,b
% l = LabI(:,:,1);
% a = LabI(:,:,2);
% b = LabI(:,:,3);

Lab=double(LabI);
end