%% PatchesHist : it is a part of image blur detection method
function [FftHist] = PatchesHist(ImPower)

[row, col] = size(ImPower);
StX = 1;
StY = 1;
EnX = floor(row/3);
EnY = floor(col/3);
temp = 1;
FftHist = cell(9,5);
for i = 1 : 3
    for j = 1 :3
        Area = (EnX-StX)*(EnY-StY);
        Power = ImPower(StX : EnX,StY : EnY);
        edges = [0 100 150 200 300 5000];       % bins
        [HistBin, ~] = histc(Power(:), edges);  % variable(:) put all values into a vector(1x(MxN))
        HistBin = HistBin/(Area);               % Normalization
        FftHist(temp,:) = [{HistBin(1,1)} {HistBin(2,1)} {HistBin(3,1)} {HistBin(4,1)} {HistBin(5,1)}];
        temp = temp + 1;
        StY = floor((col*j)/3);
        EnY = floor((col*(j+1))/3);
    end
    StY = 1;
    EnY = floor(col/3);
    StX = floor((row*i)/3);
    EnX = floor((row*(i+1))/3);
end
